package com.jpattern.orm.query.clause;

import com.jpattern.orm.query.INameSolverConsumer;
import com.jpattern.orm.query.IQueryRoot;
import com.jpattern.orm.query.IRenderableSqlObject;

/**
 * 
 * @author Francesco Cina
 *
 * 18/giu/2011
 */
public interface OrderBy<T extends IQueryRoot> extends SqlClauseRoot<T>, IRenderableSqlObject, INameSolverConsumer {

	OrderBy<T> asc(String property);

	OrderBy<T> ascNullsFirst(String property);

	OrderBy<T> ascNullsLast(String property);

	OrderBy<T> desc(String property);

	OrderBy<T> descNullsFirst(String property);

	OrderBy<T> descNullsLast(String property);

}
